
Foreman - Bug #23059

Unable to install foreman-journald

03/29/2018 11:12 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/2325,

https://github.com/theforeman/foreman/p

ull/5377

  

Description

Dep issue:

--> Finished Dependency Resolution

Error: Package: foreman-journald-1.18.0-0.develop.201803271813git274665e.el7.noarch (/foreman-jour

nald-1.18.0-0.develop.201803271813git274665e.el7.noarch)

           Requires: tfm-rubygem(journald-logger) < 2.0

           Available: tfm-rubygem-journald-logger-2.0.3-1.el7.noarch (foreman)

               tfm-rubygem(journald-logger) = 2.0.3

Error: Package: foreman-journald-1.18.0-0.develop.201803271813git274665e.el7.noarch (/foreman-jour

nald-1.18.0-0.develop.201803271813git274665e.el7.noarch)

           Requires: tfm-rubygem(journald-logger) < 2.0

           Installing: tfm-rubygem-journald-logger-2.0.3-1.el7.noarch (foreman)

               tfm-rubygem(journald-logger) = 2.0.3

 You could try using --skip-broken to work around the problem

 You could try running: rpm -Va --nofiles --nodigest

Related issues:

Related to Foreman - Tracker #22569: Unified and structured logging Assigned

Associated revisions

Revision e7b1c42c - 04/03/2018 12:11 PM - Lukas Zapletal

Fixes #23059 - foreman-journald package now installable

Two issues:

1) It was not in comps, so not available.

2) There are two gems: `logging-journald` (1.0) and `journald-logger`

(2.0). We want to depend on the former, which requires the latter. I

screwed up in the requires, thus the dependency issue during

installation.

3) Loading of the native version does not work, fixed upstream, creating

patch:

https://github.com/sandfoxme/journald-native/pull/3

Revision 41fe8c67 - 04/09/2018 11:52 AM - Lukas Zapletal

Fixes #23059 - journald plugin is not required (#5377)

History

#1 - 03/29/2018 11:17 AM - The Foreman Bot

- Status changed from New to Ready For Testing
https://github.com/sandfoxme/journald-native/pull/3


- Pull request https://github.com/theforeman/foreman-packaging/pull/2325 added

#2 - 03/29/2018 01:10 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5377 added

#3 - 03/29/2018 01:18 PM - Lukas Zapletal

- Related to Tracker #22569: Unified and structured logging added

#4 - 04/03/2018 01:02 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset rpms:foreman-packaging|e7b1c42ceccae2b1da496a49a22863df66b1dca6.

#5 - 04/03/2018 03:12 PM - Daniel Lobato Garcia

- translation missing: en.field_release set to 330
